import { Observable } from "rxjs";
import { QueryResult } from "../result";
export interface RepoAspect<K, V, F> {
    load(key: K): Observable<V>;
    count(filter: F): Observable<number>;
    find(filter: F): Observable<V[]>;
    findKeys(filter: F): Observable<K[]>;
    query(filter: F): Observable<QueryResult<V>>;
    put(entity: V): Observable<V>;
    create(entity: V): Observable<V>;
    update(entity: V): Observable<V>;
    merge(entity: V): Observable<V>;
    edit(entity: V): Observable<V>;
    delete(entity: V): Observable<V>;
    deleteByKey(key: K): Observable<V>;
    deleteAll(filter: F): Observable<V[]>;
}
