import { Change, ChangeFilter, Changed, Created } from './change';
import { ChainKey, EntityFilter } from './entity';
import { Info, InfoFilter } from './info';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.media.File <br/>
*/
export interface File extends MediaBase {
    body?: FileBody;
    fileId?: number;
    size?: number;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.media.FileBody <br/>
*/
export interface FileBody {
    data?: number[];
    fileId?: number;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.media.FileFilter <br/>
*/
export interface FileFilter extends MediaBaseFilter {
    fetchBody?: boolean;
    fileId?: number;
    fileIds?: number[];
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.media.Image <br/>
*/
export interface Image extends Changed, Created, MediaBase {
    image?: ImageBody;
    imageId?: number;
    thumbnailLarge?: ImageBody;
    thumbnailMedium?: ImageBody;
    thumbnailSmall?: ImageBody;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.media.ImageBody <br/>
*/
export interface ImageBody {
    data?: number[];
    imageId?: number;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.media.ImageFilter <br/>
*/
export interface ImageFilter extends MediaBaseFilter {
    fetchBody?: ImageSize;
    imageId?: number;
    imageIds?: number[];
}
export declare enum ImageSize {
    DEFAULT = "DEFAULT",
    SMALL = "SMALL",
    MEDIUM = "MEDIUM",
    LARGE = "LARGE"
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.media.MediaBase <br/>
*/
export interface MediaBase extends Changed, Created {
    category?: string;
    change?: Change;
    created?: Change;
    info?: Info;
    mime?: string;
    position?: number;
    related?: ChainKey;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.media.MediaBaseFilter <br/>
*/
export interface MediaBaseFilter extends EntityFilter {
    category?: string;
    created?: ChangeFilter;
    info?: InfoFilter;
    mime?: string;
    position?: number;
    related?: ChainKey;
    relatedIds?: string[];
}
